# Generated by go2rpm {{ generator_version }}
%bcond_without check
{% if not has_cmd and main_cmd is none and other_cmd|length == 0 and generate_buildrequires %}
%global debug_package %{nil}
{% endif %}

# {{ forge }}
%global goipath         {{ goipath }}
{% if not 'github.com' in goipath %}
%global forgeurl        {{ forge }}
{% endif %}
{% if version is not none %}
Version:                {{ version }}
{% endif %}
{% if tag is not none %}
Version:                {{ tag }}
%global tag             {{ tag }}
{% endif %}
{% if commit is not none %}
%global commit          {{ commit }}
{% endif %}

%gometa

{% if altipaths is not none %}
%global goaltipaths     {{ altipaths|join(' ') }}

{% endif %}
%global common_description %{expand:
{{ description|default("# FIXME", true)|wordwrap(wrapstring="\n")|trim }}}

{% if license_files|length > 0 %}
%global golicenses      {{ license_files|join(' ')|wordwrap(width=53, wrapstring="\\\\\\\n                        ")|trim }}
{% endif %}
{% if doc_files|length > 0 %}
%global godocs          {{ doc_files|join(' ')|wordwrap(width=53, wrapstring="\\\\\\\n                        ")|trim }}

{% endif %}
Name:           %{goname}
{% if version is none and tag is none %}
Version:        0
{% endif %}
{% if rpmautospec %}
Release:        {{ pkg_autorelease }}
{% else %}
Release:        {{ pkg_release }}%{?dist}
{% endif %}
Summary:        {{ summary|default("# FIXME") }}

{% if licenses != license %}
# Upstream license specification: {{ licenses|default("(missing), true") }}
{% endif %}
License:        {{ license|default("# FIXME", true) }}
{% if license_comments is not none %}{{ license_comments }}
{% endif %}
URL:            %{gourl}
Source0:        %{gosource}

{% if not generate_buildrequires %}
{% if buildrequires|length > 0 %}
{% set br = buildrequires|sort %}
{% for req in br %}
BuildRequires:  golang({{ req }})
{% endfor %}

{% endif %}
{% if test_buildrequires|length > 0 %}
{% set test_br = test_buildrequires|sort %}
%if %{with check}
# Tests
{% for req in test_br %}
BuildRequires:  golang({{ req }})
{% endfor %}
%endif

{% endif %}
{% endif %}
%description
%{common_description}

%gopkg

%prep
%goprep

{% if generate_buildrequires %}
%generate_buildrequires
%go_generate_buildrequires

{% endif -%}
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%build
{% if has_cmd %}
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}
{% if main_cmd is not none %}
%gobuild -o %{gobuilddir}/bin/{{ main_cmd }} %{goipath}
{% endif %}
{% if other_cmd|length > 0 %}
for cmd in {{ other_cmd|join(' ') }}; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
{% endif %}

{% endif %}
%install
%gopkginstall
{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
{% endif %}

%if %{with check}
%check
%gocheck
%endif

{% if has_cmd or main_cmd is not none or other_cmd|length > 0 %}
%files
{% if license_files|length > 0 %}
%license {{ license_files|join(' ')|customwordwrap(width=70, wrapstring="\n%license ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}
{% if doc_files|length > 0 %}
%doc {{ doc_files|join(' ')|customwordwrap(width=75, wrapstring="\n%doc ", break_long_words=False, break_on_hyphens=False)|trim }}
{% endif %}
%{_bindir}/*

{% endif %}
%gopkgfiles

%changelog
{% if rpmautospec %}
%autochangelog
{% else %}
{% if auto_changelog_entry %}
{% if version is none and tag is none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - 0-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% elif version is none and tag is not none and commit is none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ tag }}-{{ pkg_release }}
{% elif version is none and tag is not none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ tag }}-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% elif version is not none and tag is none and commit is none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ version }}-{{ pkg_release }}
{% elif version is not none and tag is none and commit is not none %}
* {{ date }} {{ packager|default("go2rpm <nobody@fedoraproject.org>") }} - {{ version }}-{{ pkg_release }}.{{ shortdate }}git{{ shortcommit }}
{% endif %}
- Initial package
{% endif %}
{% endif %}
